/* banner portion */
section.banner {
  width: 100%;
  height: 400px;
  background: url("../assets/bca/bca.webp");
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-size: cover;
}

section.banner .banner_content {
  text-align: center;
  padding: 2rem 3rem;
  background-color: rgba(0, 0, 0, 0.5);
  width: 500px;
  height: 400px;
}

section.banner .banner_content h1 {
  color: #ffffff;
  font-size: 2rem;
}

section.banner .banner_content .btn_primary {
  background-color: #ffffff;
  color: #000;
  border: 1px solid #ffffff;
  margin-top: 1rem;
  padding: 10px 30px;
}

section.banner .banner_content .btn_primary:hover {
  background-color: transparent;
  color: #ffffff;
}

section.banner .banner_content>div {
  display: flex;
  flex-direction: column;
  margin: 3rem 2rem;
}

@media (max-width: 500px) {
  section.banner .banner_content {
    width: 100%;
  }
}

/* Conetent section */
section.content,
section.fees {
  margin: 1rem 2rem;
}

section.content .objectives {
  padding: 0.5rem 0;
}

section.content .objectives .wrapper {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: row-reverse;
}

section.content .objectives .wrapper div.career_pic {
  height: 500px;
  margin-right: 5rem;
}

section.content .objectives .wrapper .career_pic>img {
  object-fit: contain;
  height: 100%;
  width: 100%;
  border-radius: 20px;
}

section.content .objectives .sec_heading,
section.fees .sec_heading,
section.faculty .sec_heading {
  color: var(--lignt-blue-hover);
  font-weight: 700;
  font-size: 1em;
}

section.content .objectives .txt {
  margin: 1rem 2rem;
}

@media (max-width: 1010px) {
  section.content .objectives .wrapper div.career_pic {
    height: 300px;
    margin-right: 3rem;
  }
}

@media (max-width: 900px) {

  section.content,
  section.fees {
    margin: 1rem;
  }

  section.content .objectives .wrapper {
    flex-direction: column;
  }

  section.content .objectives .wrapper div.career_pic {
    display: none;
  }

  section.content .objectives .txt {
    margin: 1rem 0rem;
  }

  section.content .objectives .wrapper {
    align-items: flex-start;
  }

}

/* Table Section */

section.fees .objectives table {
  margin-top: 3rem;
  padding: 2rem;
  height: 400px;
  width: 700px;
  border-collapse: collapse;
}

section.fees .objectives .tab {
  display: flex;
  align-items: center;
  justify-content: center;
}

section.fees .objectives .sec_heading {
  margin-bottom: 2rem;
}

thead tr td {
  font-family: 'Poppins', sans-serif;
  font-size: 1.2rem;
  font-weight: 500;
  text-transform: uppercase;
  color: #ffffff;
  background-color: var(--orange);
}

tbody {
  font-family: 'Inter', sans-serif;
}

tbody tr:last-child {
  background-color: var(--lignt-blue);
  color: #ffffff;
}

th,
td {
  border-bottom: 1px solid #f2f2f2;
  padding: 0.5rem 2rem;
  font-size: 15px;

}

tr:nth-child(even) {
  background-color: #f2f2f2;
}

@media (max-width: 900px) {
  section.fees .objectives table {
    padding: 1rem;
    height: 400px;
    width: 100%;
    margin-top: 0;
  }

}

/*  Faculties */
section.faculty .sec_heading {
  margin: 5em 2rem;
}

.faculties_container {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-template-rows: auto;
  grid-gap: 3rem;
  justify-content: center;
  margin: 3rem;
}

.faculties {
  padding: 1.5rem 1rem;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
}

.faculties img {
  width: 160px;
  height: 160px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  text-align: center;
}

.faculties .name {
  font-family: 'Poppins', sans-serif;
  text-align: center;
  font-size: 1rem;
  font-weight: 500;
  color: #000;
  margin-top: 0.5rem;
}

.degree {
  font-size: 0.8rem;
  color: var(--orange);
}

.btn_secondary {
  display: block;
  margin-top: 0.5rem;
}

@media(max-width:900px) {
  section.faculty .sec_heading {
    margin: 2rem 1rem;
  }
}

@media(max-width: 1000px) {
  .faculties_section {
    margin: 0 2rem;
  }

  .faculties_container {
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 2rem;
  }

  .faculties img {
    width: 120px;
    height: 120px;
  }

  .faculties .name {
    font-size: 0.8rem;
  }

  .faculties .btn_secondary {
    font-size: 0.6rem;
    padding: 10px;
  }
}

@media(max-width: 720px) {
  .faculties_container {
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 2rem;
  }

  .faculties .name {
    font-size: 0.5rem;
  }
}

@media(max-width: 500px) {
  .faculties_container {
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 2rem;
  }

  body {
    padding-left: 0rem;
  }

  ;
}
